# Method: revisions.check

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/revisions/check#body.HTTP_TEMPLATE)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/revisions/check#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/revisions/check#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/revisions/check#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/revisions/check#body.CheckRevisionResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/revisions/check#body.aspect)
- [RevisionStatus](https://developer.android.com/games/services/web/api/rest/v1/revisions/check#RevisionStatus)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/revisions/check#try-it)

Checks whether the games client is out of date.

### HTTP request

`GET https://games.googleapis.com/games/v1/revisions/check`

### Query parameters

|                                                                                                                                                     Parameters                                                                                                                                                      ||
|------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `clientRevision` | `string` Required. The revision of the client SDK used by your application. Format:`[PLATFORM_TYPE]:[VERSION_NUMBER]`. Possible values of`PLATFORM_TYPE`are: \*`ANDROID`- Client is running the Android SDK. \*`IOS`- Client is running the iOS SDK. \*`WEB_APP`- Client is running as a Web App. |

### Request body

The request body must be empty.

### Response body

A third party checking a revision response.

If successful, the response body contains data with the following structure:

|                                                                          JSON representation                                                                           |
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "kind": string, "revisionStatus": enum (https://developer.android.com/games/services/web/api/rest/v1/revisions/check#RevisionStatus), "apiVersion": string } ``` |

|                                                                                    Fields                                                                                    ||
|------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `kind`           | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#revisionCheckResponse`.                                     |
| `revisionStatus` | `enum (`[RevisionStatus](https://developer.android.com/games/services/web/api/rest/v1/revisions/check#RevisionStatus)`)` The result of the revision check. |
| `apiVersion`     | `string` The version of the API this client revision should use when calling API methods.                                                                  |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## RevisionStatus

Defines result of the revision check.

|                                                Enums                                                 ||
|--------------|----------------------------------------------------------------------------------------|
| `OK`         | The revision being used is current.                                                    |
| `DEPRECATED` | There is currently a newer version available, but the revision being used still works. |
| `INVALID`    | The revision being used is not supported in any released version.                      |